GNU bug report logs - #23419
25.0.93; double-click-time

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: martin rudalics <rudalics@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 23419 <at> debbugs.gnu.org and martin rudalics <rudalics@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23419 <at> debbugs.gnu.org:


Received: (at 23419) by debbugs.gnu.org; 2 May 2022 10:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 06:04:55 2022
Received: from localhost ([127.0.0.1]:34916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlSvH-00056B-8e
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 06:04:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nlSvF-00055u-Rf
 for 23419 <at> debbugs.gnu.org; Mon, 02 May 2022 06:04:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bo/+nDIh+zpJYRtpEkNpLlWOVUcNQIP5+Z+m7QxY5ds=; b=nf+V+Sw1d/PD7DL+LVZsop3mA1
 V9bqi0QKxPtTifJWrpxAImS1iW/Hsbl9azXDS5GKmQnC7AAQV3VE0/0Ha4H350jPNN8/DwdTNpiRJ
 KIAicK2U+6AqFmDwTxGeLMVKskZVo/tBadVYoNB1mZeOtpIXdIMw0avhnN6tP86dFbng=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nlSv6-0007on-Qt; Mon, 02 May 2022 12:04:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23419: 25.0.93; double-click-time
References: <572709CA.5010605@HIDDEN>
 <CADwFkmkz=6jMU+2JeQB9MQ_H2vFLBrrTC8z4pZdEzZo_aeLwvg@HIDDEN>
 <83y2mgjstt.fsf@HIDDEN>
X-Now-Playing: Pet Shop Boys's _Inner Sanctum (1)_: "Love Comes Quickly"
Date: Mon, 02 May 2022 12:04:44 +0200
In-Reply-To: <83y2mgjstt.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Aug
 2020 10:01:34 +0300")
Message-ID: <87ee1c2qtf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I'm afraid there's
 no way around auditing each caller and determining > what those non-numerical
 values mean in each case. For example, I'd > actually suggest to avoid the
 call to sit-for in the nil [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23419
Cc: rudalics@HIDDEN, Stefan Kangas <stefan@HIDDEN>, 23419 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> I'm afraid there's no way around auditing each caller and determining
> what those non-numerical values mean in each case.  For example, I'd
> actually suggest to avoid the call to sit-for in the nil case, because
> a double-click will never be "on the way" in that case.

I've gone through all the usage sites, and I think Stefan's patch is
correct -- they're using double-click-time as a sensible default for
what they're doing, but they're not really interested in the nil logic
(i.e., they're not supposed to be disabled in that case).

So I've now pushed Stefan's patch to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23419; Package emacs. Full text available.
Removed tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23419 <at> debbugs.gnu.org:


Received: (at 23419) by debbugs.gnu.org; 15 Aug 2020 07:01:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 15 03:01:49 2020
Received: from localhost ([127.0.0.1]:54230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6qCK-0005lc-Us
	for submit <at> debbugs.gnu.org; Sat, 15 Aug 2020 03:01:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k6qCI-0005lL-Md
 for 23419 <at> debbugs.gnu.org; Sat, 15 Aug 2020 03:01:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46026)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k6qCC-0003ZY-D6; Sat, 15 Aug 2020 03:01:40 -0400
Received: from [176.228.60.248] (port=4144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k6qCB-0005TY-7Q; Sat, 15 Aug 2020 03:01:40 -0400
Date: Sat, 15 Aug 2020 10:01:34 +0300
Message-Id: <83y2mgjstt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkz=6jMU+2JeQB9MQ_H2vFLBrrTC8z4pZdEzZo_aeLwvg@HIDDEN>
 (message from Stefan Kangas on Fri, 14 Aug 2020 20:49:18 -0700)
Subject: Re: bug#23419: 25.0.93; double-click-time
References: <572709CA.5010605@HIDDEN>
 <CADwFkmkz=6jMU+2JeQB9MQ_H2vFLBrrTC8z4pZdEzZo_aeLwvg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23419
Cc: rudalics@HIDDEN, 23419 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 14 Aug 2020 20:49:18 -0700
> Cc: 23419 <at> debbugs.gnu.org
> 
> In the attached patch I add a new function `mouse-double-click-time'
> which always returns a number.  This seems better than adding
> specialized logic everywhere to handle the various cases.

I don't see how this resolves the issue pointed out by Martin.  How do
we know that the problematic callers will DTRT with the arbitrary
values your function returns for t and nil?  Using a very large number
for t may be a good approximation (although I'm not even sure in that
case), but using zero for nil?

I'm afraid there's no way around auditing each caller and determining
what those non-numerical values mean in each case.  For example, I'd
actually suggest to avoid the call to sit-for in the nil case, because
a double-click will never be "on the way" in that case.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23419; Package emacs. Full text available.
bug Marked as found in versions 28.0.50. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23419 <at> debbugs.gnu.org:


Received: (at 23419) by debbugs.gnu.org; 15 Aug 2020 03:49:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 14 23:49:31 2020
Received: from localhost ([127.0.0.1]:54119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6nCE-0006eN-B6
	for submit <at> debbugs.gnu.org; Fri, 14 Aug 2020 23:49:30 -0400
Received: from mail-yb1-f179.google.com ([209.85.219.179]:40425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k6nC8-0006dz-Vx
 for 23419 <at> debbugs.gnu.org; Fri, 14 Aug 2020 23:49:28 -0400
Received: by mail-yb1-f179.google.com with SMTP id q3so6280925ybp.7
 for <23419 <at> debbugs.gnu.org>; Fri, 14 Aug 2020 20:49:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=87JWAYgUua1vzZGTczYhFB12vF1lfRyx3OVWTZODS48=;
 b=I9r4umAv7CczbZq+Kw/QKRWr1S25ETzv8mg3ijPosTixY819gjwPhYQJK8A5Iy8xVZ
 1tvsGrGBv9GtJQ5z+3rGA0FePlH855S9CC3hCAF5H9r0JwV5XAXO7MqylqbFfuwhII1S
 0ju9lBzf8i2LeN0TMd1sfPjg9Oz93bmI1Z+1hyA8K4oc/ARClF5Bg4UD7Yt0EmAMwQPt
 4Z9Vsk1JBTH04l9Rw/d2xmWtbIKeCSS1WZ9Uvw51wybUSChqKkIPOx+jCJJwIitQSa04
 Rm+OyYulf8pEkBkME5bO9kqzg5W2gVsQENIWCc8ms/iizj6FVzJ6a+T52sZ3VhAIO/wO
 wXCA==
X-Gm-Message-State: AOAM531LkEtuYBD+AR6oLqMcYzRhCMpsFNCUHIu7v5Ou7ixLHZCvzrMY
 nJbKDZKYpAKhX03rRKJXYxiTV9mXAzyALj7d8Mc=
X-Google-Smtp-Source: ABdhPJwPxoCM5/PlAtWo/kRxTfUygxXDdrmtLl+9IT5dGLq1+Tmz0pqxNGZBEXeOPpxc04fvyLoAF8RDb4GCNPG5kZU=
X-Received: by 2002:a5b:410:: with SMTP id m16mr7479014ybp.309.1597463359423; 
 Fri, 14 Aug 2020 20:49:19 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 14 Aug 2020 20:49:18 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <572709CA.5010605@HIDDEN> (martin rudalics's message of "Mon, 02
 May 2016 10:03:22 +0200")
References: <572709CA.5010605@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 14 Aug 2020 20:49:18 -0700
Message-ID: <CADwFkmkz=6jMU+2JeQB9MQ_H2vFLBrrTC8z4pZdEzZo_aeLwvg@HIDDEN>
Subject: Re: bug#23419: 25.0.93; double-click-time
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000014a2fb05ace26ced"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23419
Cc: 23419 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000014a2fb05ace26ced
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

tags 23419 + patch
thanks

martin rudalics <rudalics@HIDDEN> writes:

> The documentation of =E2=80=98double-click-time=E2=80=99 is as:
>
>   Maximum time between mouse clicks to make a double-click.
>   Measured in milliseconds.  The value nil means disable double-click
>   recognition; t means double-clicks have no time limit and are detected
>   by position only.
>
> However, most uses of =E2=80=98double-click-time=E2=80=99 in the lisp dir=
ectory silently
> assume that the value is a number which typically fails in =E2=80=98sit-f=
or=E2=80=99s
> like, for example, in help.el's
>
>   (not (sit-for (/ double-click-time 1000.0) t))
>
> when =E2=80=98double-click-time=E2=80=99 is either t or nil.
>
> Could someone out there who understands the semantics of these
> =E2=80=98sit-for=E2=80=99s please fix them.  I can eventually do that mys=
elf but these
> semantics are yet pretty unclear to me.

I can confirm this.  To reproduce the issue in help.el, use:

0. emacs -Q
1. (setq double-click-time nil)
2. C-h k mouse-1

In the attached patch I add a new function `mouse-double-click-time'
which always returns a number.  This seems better than adding
specialized logic everywhere to handle the various cases.

Any comments?

Best regards,
Stefan Kangas

--00000000000014a2fb05ace26ced
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Fix-handling-double-click-time-nil-or-t-Bug-23419.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-handling-double-click-time-nil-or-t-Bug-23419.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: e6f2d25e25546b45_0.1
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--00000000000014a2fb05ace26ced--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23419; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2016 08:04:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 04:04:25 2016
Received: from localhost ([127.0.0.1]:32992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ax8q9-0005nz-Mn
	for submit <at> debbugs.gnu.org; Mon, 02 May 2016 04:04:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1ax8q8-0005nn-2T
 for submit <at> debbugs.gnu.org; Mon, 02 May 2016 04:04:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1ax8pt-0001Ly-Jv
 for submit <at> debbugs.gnu.org; Mon, 02 May 2016 04:04:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50378)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1ax8pt-0001KX-Gl
 for submit <at> debbugs.gnu.org; Mon, 02 May 2016 04:04:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40119)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1ax8ph-0004aO-Ug
 for bug-gnu-emacs@HIDDEN; Mon, 02 May 2016 04:04:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1ax8pU-0001Ep-94
 for bug-gnu-emacs@HIDDEN; Mon, 02 May 2016 04:03:50 -0400
Received: from mout.gmx.net ([212.227.17.20]:63519)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1ax8pT-0001CO-W4
 for bug-gnu-emacs@HIDDEN; Mon, 02 May 2016 04:03:44 -0400
Received: from [192.168.1.101] ([212.95.7.50]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0M3vCA-1bnazO0cTa-00rZZo for
 <bug-gnu-emacs@HIDDEN>; Mon, 02 May 2016 10:03:32 +0200
Message-ID: <572709CA.5010605@HIDDEN>
Date: Mon, 02 May 2016 10:03:22 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
Subject: 25.0.93; double-click-time
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:A0w0q5YUXMJ4IAnp2IPxITP/VQ1y0gs4djFZxH/D3HvDSelTAMb
 wTWKsED+nhtTrafIHVXoavqD16tC2SvdAEZjUtSkVfMLewdR1PckmablMhwyZKlZPpL0weA
 7upBtRHwI1hg3IgoXVxG+5QDSSIaTSX7b2Cqt5JMdXSecHF4Vu6nYN6qNlHzbgOJ1BavBir
 ZBNVcCHSDIixN1l4JdsKA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:QlQkxpi7VeE=:3jcfxhNSzUt6jwp5bmrNAL
 AeBlzkkGB65HNdqpbQyLNA6ILSFj/voeokt9FskxEVr8DCo8gweLsf5tXtN4EbYhpF7Il/ew2
 mJafKYurUT9ed43CdkN2X+0QlcsSfv2+DXrLcPPx7s95he8xbzrdGgNTNFXG1Nft1zxQAlHe0
 S4jGlBkIISRszw4SC23iI0umwsBZlqqmVS0ML4WIiKmQpIcTnreTJSxNmh7ehB/dyIJm0GgxF
 ZrR5cqSX3PaGNiJFvnCRwGoV1yI6sPv8BZuyFAOFs3upxkiA1Ts9+by4APtezhqGluWUTYU0H
 1lOq2V29l+cpT2KmbXHNsUGZLSHzYOAOsrSmMYHFPlQkwZS6cXiDlWXXSs9m9CPwj/Oip4sE6
 Xg8FcygXKR1gD1YuPKSg+Rs+7DrMInnFV4wSZyQbErCZQROfnECMkbvb35DhYowzOLXV6P/F5
 b84FI3LYHdKJpgqkKC7wlUiAsYipNsEqMpwLsJGiiYz+utvyV2rIHRzKS8o0FuTdcjpk4D/Ei
 9vZFmEkaFxgwUV28fI7fVg9HrH/cVenMJ4+YT2YKZn1XZGLS/b/E53ow9LnlzvC84sCTPj73X
 96DJgNzUWy1jzqZtwG0MHr8uG+EihOAlWqWE8HeIEHMwzgKanySp+NbbyOsj4RLNJm2kcGIdr
 xDdvG2VpL3Es7cgYoJ//uVEMIEwoFPI03jw2n8/Yt6YUxSnVHFYY83UFWiZmR8X463tZQQhLi
 EsBfFLVUW5xEHF1rlxo7UFCKwwBPPeHtFx3MkbSISiC9tWKis0dyD4JLQFc6ATOEo4wUY3eCS
 hsntGjuRnb5V1vRydNdc3rSgE+LmQ==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

The documentation of =E2=80=98double-click-time=E2=80=99 is as:

   Maximum time between mouse clicks to make a double-click.
   Measured in milliseconds.  The value nil means disable double-click
   recognition; t means double-clicks have no time limit and are detected=

   by position only.

However, most uses of =E2=80=98double-click-time=E2=80=99 in the lisp dir=
ectory silently
assume that the value is a number which typically fails in =E2=80=98sit-f=
or=E2=80=99s
like, for example, in help.el's

   (not (sit-for (/ double-click-time 1000.0) t))

when =E2=80=98double-click-time=E2=80=99 is either t or nil.

Could someone out there who understands the semantics of these
=E2=80=98sit-for=E2=80=99s please fix them.  I can eventually do that mys=
elf but these
semantics are yet pretty unclear to me.

TIA, martin





Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23419; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 2 May 2022 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.